<?php
/*adding sections for category section in front page*/
$wp_customize->add_section( 'webdiary-feature-category', array(
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'title'          => __( 'Featured Section', 'webdiary' )
) );


/* feature cat selection */
$wp_customize->add_setting( 'webdiary_theme_options[webdiary-feature-cat]', array(
    'capability'		=> 'edit_theme_options',
    'default'			=> $defaults['webdiary-feature-cat'],
    'sanitize_callback' => 'absint'
) );

$wp_customize->add_control(
    new Webdiary_Customize_Category_Dropdown_Control(
        $wp_customize,
        'webdiary_theme_options[webdiary-feature-cat]',
        array(
            'label'		=> __( 'Select Category', 'webdiary' ),
            'section'   => 'webdiary-feature-category',
            'settings'  => 'webdiary_theme_options[webdiary-feature-cat]',
            'type'	  	=> 'category_dropdown',
            'priority'  => 10
        )
    )
);

// Setting Show Feature Slider .
$wp_customize->add_setting( 'webdiary_theme_options[show_fature_slider]',
    array(
        'default'           => $defaults['show_fature_slider'],
        'sanitize_callback' => 'webdiary_sanitize_checkbox',
    )
);

$wp_customize->add_control( 'webdiary_theme_options[show_fature_slider]',
    array(
        'label'             => esc_html__( 'Show Feature Slider', 'webdiary' ),
        'section'           => 'webdiary-feature-category',
        'type'              => 'checkbox',
        'priority'          => 8,
    )
);
